Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 731742 - sci-biology/embassy-esim4 fails to link with LLD because of /usr/lib in the link command line
Summary: sci-biology/embassy-esim4 fails to link with LLD because of /usr/lib in the l...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Science Biology related packages
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: LD-is-lld
  Show dependency tree
 
Reported: 2020-07-08 15:15 UTC by Agostino Sarubbo
Modified: 2021-03-13 12:05 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
build.log (build.log,23.33 KB, text/plain)
2020-07-08 15:15 UTC, Agostino Sarubbo
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Agostino Sarubbo gentoo-dev 2020-07-08 15:15:45 UTC
https://blogs.gentoo.org/ago/2020/07/04/gentoo-tinderbox/

Issue: sci-biology/embassy-esim4 fails to link with LLD because of /usr/lib in the link command line.
Discovered on: amd64  (internal ref: tinderbox)

NOTE:
This PR gives an idea about a fix: https://github.com/PhotoFlare/photoflare/pull/248/files.
Comment 1 Agostino Sarubbo gentoo-dev 2020-07-08 15:15:50 UTC
Created attachment 648382 [details]
build.log

build log and emerge --info
Comment 2 Larry the Git Cow gentoo-dev 2021-03-13 12:05:56 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e8dd0ed686d27359382aa2f85c7777d5b63608bb

commit e8dd0ed686d27359382aa2f85c7777d5b63608bb
Author:     David Seifert <soap@gentoo.org>
AuthorDate: 2021-03-13 12:04:28 +0000
Commit:     David Seifert <soap@gentoo.org>
CommitDate: 2021-03-13 12:04:28 +0000

    sci-biology/embassy-esim4: Fix building against clang/LLD
    
    Closes: https://bugs.gentoo.org/731742
    Package-Manager: Portage-3.0.17, Repoman-3.0.2
    Signed-off-by: David Seifert <soap@gentoo.org>

 .../embassy-esim4-1.0.0.650_fix-build-system.patch | 34 +++++++++++-----------
 1 file changed, 17 insertions(+), 17 deletions(-)